summaryrefslogtreecommitdiffstats
path: root/source/d/automake/automake.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/d/automake/automake.SlackBuild')
-rwxr-xr-xsource/d/automake/automake.SlackBuild11
1 files changed, 7 insertions, 4 deletions
diff --git a/source/d/automake/automake.SlackBuild b/source/d/automake/automake.SlackBuild
index 55353a400..7f3e3d3c3 100755
--- a/source/d/automake/automake.SlackBuild
+++ b/source/d/automake/automake.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2012 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,9 +21,9 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=1.11.1
+VERSION=${VERSION:-$(echo automake-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Note: the package is _built_ as 'noarch'
# Automatically determine architecture for build & packaging:
@@ -44,8 +44,11 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf automake-$VERSION
-tar xvf $CWD/automake-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/automake-$VERSION.tar.xz || exit 1
cd automake-$VERSION
+
+zcat $CWD/automake.perl516.prototype.diff.gz | patch -p1 || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \